Subject: bug#21669: closed (Re: bug#21669: 25.0.50; file-notify-tests failure on Fedora x86-64)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 31 Oct 2015 13:38:05 +0000

Your bug report

#21669: 25.0.50; file-notify-tests failure on Fedora x86-64

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21669: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21669
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21669: 25.0.50; file-notify-tests failure on Fedora x86-64
From: Michael Albinus <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Sat, 31 Oct 2015 14:36:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Eggert <[email-masked]> writes:

> Michael Albinus wrote:
>> I've committed a fix for both problems (and for one unrelated error in
>> filenotify.el I found also). I've run file-notify-tests.el 20 times now,
>> no error again. Could you, pls, recheck?
>
> It seems to be working for me too.  Thanks.

So I'm closing this bug, too. Thanks for testing.

Best regards, Michael.

Subject: 25.0.50; file-notify-tests failure on Fedora x86-64
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Date: Sun, 11 Oct 2015 15:35:49 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This is to some extent a followup to Bug#21668, as it reports a similar kind of 
test failure.

The file-notify-tests test fails for me routinely.  Not always, though; it's not 
reproducible in general.  Attached is a sample log.  I don't want to spend time 
debugging this myself, but thought that whoever wants to know about this test 
failure should know about it.